#pragma once

#include <Qt>
#include <QWidget>
#include <QKeyEvent>

namespace BGTU::ComputerGraphicsLabWork::Lab1 {
	class KeyboardCatcherWidget : public QWidget {
	Q_OBJECT
	public:
		inline KeyboardCatcherWidget(QWidget *parent = nullptr) : QWidget{parent} {
			this->grabKeyboard();
		}

	signals:

		void key_pressed_PageUp();

		void key_pressed_PageDown();

	protected:
		void keyPressEvent(QKeyEvent *event) override {
			switch (event->key()) {
				case Qt::Key_PageUp:
					emit this->key_pressed_PageUp();
					return;
				case Qt::Key_PageDown:
					emit this->key_pressed_PageDown();
					return;
			}

		}
	};
}